osl::container::TripleInt Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
osl::container::TripleInt Struct Reference

`#include <tripleInt.h>`

Inheritance diagram for osl::container::TripleInt:
[legend]
Collaboration diagram for osl::container::TripleInt:
[legend]

## Classes
union | XMM

## Public Member Functions
| TripleInt ()
| TripleInt (TripleInt const &si)
| TripleInt (int a, int b, int c)
void | clear ()
int & | operator[] (int i)
const int & | operator[] (int i) const
TripleInt | operator- () const
TripleInt & | operator+= (TripleInt const &si)
TripleInt & | operator-= (TripleInt const &si)
TripleInt & | operator*= (int scale)
TripleInt & | operator/= (int div)
TripleInt & | operator>>= (int shift)

## Static Public Member Functions
static size_t | size ()
Static Public Member Functions inherited from osl::misc::Align16New
static void * | operator new (size_t size)
static void * | operator new[] (size_t size)
static void | operator delete (void *ptr, size_t size)
static void | operator delete[] (void *ptr, size_t size)

## Public Attributes
union osl::container::TripleInt::XMM | v

## Additional Inherited Members
Static Public Attributes inherited from osl::misc::Align16New
static const int | Alignment = 16
Protected Member Functions inherited from osl::misc::Align16New
| ~Align16New ()

## Detailed Description

Definition at line 42 of file tripleInt.h.

## Constructor & Destructor Documentation

osl::container::TripleInt::TripleInt | ( | ) |  |
| inline

Definition at line 53 of file tripleInt.h.

References clear().

osl::container::TripleInt::TripleInt | ( | TripleInt const & | si) |  |
| inline

Definition at line 59 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, v, and osl::container::TripleInt::XMM::v4.

osl::container::TripleInt::TripleInt | ( | int | a,
|  | int | b,
|  | int | c
| ) |  |
| inline

Definition at line 67 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, v, and osl::container::TripleInt::XMM::v4.

## Member Function Documentation

void osl::container::TripleInt::clear | ( | ) |  |
| inline

Definition at line 77 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, v, and osl::container::TripleInt::XMM::v4.

Referenced by TripleInt().

TripleInt& osl::container::TripleInt::operator*= | ( | int | scale) |  |
| inline

Definition at line 116 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, v, osl::container::TripleInt::XMM::v2, and osl::container::TripleInt::XMM::v4.

TripleInt& osl::container::TripleInt::operator+= | ( | TripleInt const & | si) |  |
| inline

Definition at line 100 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, v, and osl::container::TripleInt::XMM::v4.

TripleInt osl::container::TripleInt::operator- | ( | ) |  | const
| inline

Definition at line 91 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, v, and osl::container::TripleInt::XMM::v4.

TripleInt& osl::container::TripleInt::operator-= | ( | TripleInt const & | si) |  |
| inline

Definition at line 108 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, v, and osl::container::TripleInt::XMM::v4.

TripleInt& osl::container::TripleInt::operator/= | ( | int | div) |  |
| inline

Definition at line 129 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, and v.

TripleInt& osl::container::TripleInt::operator>>= | ( | int | shift) |  |
| inline

Definition at line 134 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, v, and osl::container::TripleInt::XMM::v4.

int& osl::container::TripleInt::operator[] | ( | int | i) |  |
| inline

Definition at line 85 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, and v.

const int& osl::container::TripleInt::operator[] | ( | int | i) |  | const
| inline

Definition at line 88 of file tripleInt.h.

References osl::container::TripleInt::XMM::iv, and v.

static size_t osl::container::TripleInt::size | ( | ) |  |
| inlinestatic

Definition at line 143 of file tripleInt.h.

## Member Data Documentation

union osl::container::TripleInt::XMM osl::container::TripleInt::v

Referenced by clear(), operator*=(), operator+=(), operator-(), operator-=(), operator/=(), operator>>=(), operator[](), and TripleInt().

The documentation for this struct was generated from the following file:

- tripleInt.h